summaryrefslogtreecommitdiffstats
path: root/redis-sentinel.init
diff options
context:
space:
mode:
authorRemi Collet <fedora@famillecollet.com>2014-09-12 18:09:08 +0200
committerRemi Collet <fedora@famillecollet.com>2014-09-12 18:09:08 +0200
commit912b891ca07160a56924e91db92e8b4d40aa1175 (patch)
tree6926b3a08869aede23d8577f9a899a76b4909129 /redis-sentinel.init
parent5d9fa3923a03b577eca13ba60fb95b36d9e5df72 (diff)
redis: 2.8.15
Diffstat (limited to 'redis-sentinel.init')
-rw-r--r--redis-sentinel.init88
1 files changed, 88 insertions, 0 deletions
diff --git a/redis-sentinel.init b/redis-sentinel.init
new file mode 100644
index 0000000..115f65b
--- /dev/null
+++ b/redis-sentinel.init
@@ -0,0 +1,88 @@
+#!/bin/sh
+#
+# redis init file for starting up the redis-sentinel daemon
+#
+# chkconfig: - 21 79
+# description: Starts and stops the redis-sentinel daemon.
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+name="redis-sentinel"
+exec="/usr/bin/$name"
+pidfile="/var/run/redis/sentinel.pid"
+REDIS_CONFIG="/etc/redis-sentinel.conf"
+
+[ -e /etc/sysconfig/redis-sentinel ] && . /etc/sysconfig/redis-sentinel
+
+lockfile=/var/lock/subsys/redis
+
+start() {
+ [ -f $REDIS_CONFIG ] || exit 6
+ [ -x $exec ] || exit 5
+ echo -n $"Starting $name: "
+ daemon --user ${REDIS_USER-redis} "$exec $REDIS_CONFIG --daemonize yes --pidfile $pidfile"
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $name: "
+ killproc -p $pidfile $name
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ false
+}
+
+rh_status() {
+ status -p $pidfile $name
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart}"
+ exit 2
+esac
+exit $?